//*********************************************//
//            DHT 11 Breakoutboard             //
//                                             //
//       This sample sketch is reading the     //
// digital output signal of temperature and    //
// humidity value from DHT 11 module.Displaying//
// data on the serial monitor.                 //
//                                             //
//                 Codes by:                   //
//        e-Gizmo Mechatronix Central          //
//         Taft, Manila, Philippines           //
//           http://www.egizmo.com             //
//             October 11,2016                 //
//*********************************************//
//include libraries for DHT 11 module
#include "DHT.h"

DHT dht;

void setup()
{
  //Intializing serial monitor
  Serial.begin(9600);
  Serial.println();
  Serial.println("Status\tHumidity (%)\tTemperature (C)\t(F)");

  //assigned data output pin
  dht.setup(12);

void loop()
{

  delay(dht.getMinimumSamplingPeriod());

  float humidity = dht.getHumidity();
  float temperature = dht.getTemperature();

  //priting the result for temperature and humidity value
  Serial.print(dht.getStatusString());
  Serial.print("\t");
  Serial.print(humidity, 1);
  Serial.print("\t\t");
  Serial.print(temperature, 1);
  Serial.print("\t\t");
  Serial.println(dht.toFahrenheit(temperature), 1);
}

